package cn.pluss.platform.util;

import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * @author SSS
 */
public class FixedData {

    public static List<String> bankList = new ArrayList<String>() {{
        add("工商银行");
        add("交通银行");
        add("招商银行");
        add("民生银行");
        add("中信银行");
        add("浦发银行");
        add("兴业银行");
        add("光大银行");
        add("广发银行");
        add("平安银行");
        add("北京银行");
        add("华夏银行");
        add("农业银行");
        add("建设银行");
        add("邮政储蓄银行");
        add("中国银行");
        add("宁波银行");
        add("其他银行");
    }};

    /**
     * 银行名称转化
     * @param originBankName  银行名称
     * @return  限定的银行名称
     */
    public static String getBankName(String originBankName) {
        if (originBankName == null) {
            return null;
        }

        for (String bankName : bankList) {
            if (Objects.equals(originBankName, bankName)) {
                return bankName;
            }
        }

        if (StringUtils.isNotBlank(originBankName)) {
            if (originBankName.contains("广发银行") || originBankName.contains("广东发展银行")) {
                return "广发银行";
            }

            if (originBankName.contains("建设银行")) {
                return "建设银行";
            }

            if (originBankName.contains("招商银行")) {
                return "招商银行";
            }

            if (originBankName.contains("工商银行")) {
                return "工商银行";
            }

            if (originBankName.contains("民生银行")) {
                return "民生银行";
            }

            if (originBankName.contains("中信银行")) {
                return "中信银行";
            }

            if (originBankName.contains("浦东发展银行")) {
                return "浦发银行";
            }

            if (originBankName.contains("兴业银行")) {
                return "兴业银行";
            }

            if (originBankName.contains("光大银行")) {
                return "光大银行";
            }

            if (originBankName.contains("平安银行")) {
                return "平安银行";
            }

            if (originBankName.contains("北京银行")) {
                return "北京银行";
            }

            if (originBankName.contains("华夏银行")) {
                return "华夏银行";
            }

            if (originBankName.contains("农业银行")) {
                return "农业银行";
            }

            if (originBankName.contains("邮政")) {
                return "邮政储蓄银行";
            }

            if (originBankName.contains("中国银行")) {
                return "中国银行";
            }

            if (originBankName.contains("宁波银行")) {
                return "宁波银行";
            }
        }



        return "其他银行";
    }
}
